apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]

    compileOptions {
        targetCompatibility JavaVersion.VERSION_1_8
        sourceCompatibility JavaVersion.VERSION_1_8
    }

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
    }
    buildToolsVersion '29.0.3'
}

ext {
    bintrayRepo = 'android'
    bintrayName = 'objpool'

    publishedGroupId = 'com.billy.android'
    libraryName = 'ObjPool'
    artifact = 'pools'

    libraryDescription = '线程安全的对象池'

    siteUrl = 'https://github.com/luckybilly/CC'
    gitUrl = 'git@github.com:luckybilly/CC.git'

    libraryVersion = '0.0.6' //要发布到 jcenter 上的版本号

    developerId = 'billy'
    developerName = 'billy'
    developerEmail = 'okkanan@hotmail.com'

    licenseName = 'The Apache Software License, Version 2.0'
    licenseUrl = 'http://www.apache.org/licenses/LICENSE-2.0.txt'
    allLicenses = ["Apache-2.0"]
}

apply from: rootProject.file('bintray.gradle')